Bug 1576540 - Rebase polkit to 0.114
Summary: Rebase polkit to 0.114
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: polkit
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Polkit Maintainers
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 17:14 UTC by Matthias Clasen
Modified: 2019-07-29 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 13:36:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthias Clasen 2018-05-09 17:14:19 UTC
As part of the desktop rebase in 7.6, we need to rebase polkit to the version that is used in Fedora 28.

Comment 4 Matthias Clasen 2018-05-21 14:38:36 UTC
The rebase is needed to drop the dependency on an old version of mozjs.

Comment 5 Karel Srot 2018-05-29 08:12:35 UTC
Is it necessary to rebase or just rebuild? E.g. would it be possible only to backport required changes?

Comment 6 Lukáš Nykrýn 2018-05-29 14:55:10 UTC
Since mozjs52 and mozjs17 can be installed in parallel, I don't think we actually need to do something urgent here. I will reassign this to 7.7 where we should do a proper review if we can rebase the polkit and drop mozjs17 from distribution.

Comment 8 Kalev Lember 2018-05-31 07:41:39 UTC
I filed https://bugzilla.redhat.com/show_bug.cgi?id=1584533 as an alternative to be able to move forward with the rest of the desktop rebase for 7.6. Could people ack this please, and I'll take care of the builds today?

Comment 9 Tomas Pelka 2018-06-04 12:37:32 UTC
Seems this is not needed for gnome-rebase, removing Blocking bz.


Note You need to log in before you can comment on or make changes to this bug.